public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: profiles/, dev-lua/lua-utf8/
@ 2020-11-28 23:59 Conrad Kostecki
  0 siblings, 0 replies; only message in thread
From: Conrad Kostecki @ 2020-11-28 23:59 UTC (permalink / raw
  To: gentoo-commits

commit:     6d510f813a21e6f327ab7e1e160ef35696aeec80
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 28 23:56:02 2020 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sat Nov 28 23:59:16 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6d510f81

dev-lua/lua-utf8: migrate to lua eclass

Closes: https://bugs.gentoo.org/752627
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 dev-lua/lua-utf8/lua-utf8-0.1.3-r100.ebuild | 82 +++++++++++++++++++++++++++++
 profiles/package.mask                       |  1 +
 2 files changed, 83 insertions(+)

diff --git a/dev-lua/lua-utf8/lua-utf8-0.1.3-r100.ebuild b/dev-lua/lua-utf8/lua-utf8-0.1.3-r100.ebuild
new file mode 100644
index 00000000000..48e0614d06d
--- /dev/null
+++ b/dev-lua/lua-utf8/lua-utf8-0.1.3-r100.ebuild
@@ -0,0 +1,82 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+LUA_COMPAT=( lua5-{1..3} luajit )
+
+inherit lua toolchain-funcs
+
+DESCRIPTION="A UTF-8 support module for Lua and LuaJIT"
+HOMEPAGE="https://github.com/starwing/luautf8"
+SRC_URI="https://github.com/starwing/luautf8/archive/${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN//-/}-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="test"
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+RDEPEND="${LUA_DEPS}"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+lua_src_compile() {
+	local compiler=(
+		"$(tc-getCC)"
+		"${CFLAGS}"
+		"-fPIC"
+		"${LDFLAGS}"
+		"$(lua_get_CFLAGS)"
+		"-c lutf8lib.c"
+		"-o lutf8lib-${ELUA}.o"
+	)
+	einfo "${compiler[@]}"
+	${compiler[@]} || die
+
+	local linker=(
+		"$(tc-getCC)"
+		"-shared"
+		"${LDFLAGS}"
+		"-o lutf8lib-${ELUA}.so"
+		"lutf8lib-${ELUA}.o"
+	)
+	einfo "${linker[@]}"
+	${linker[@]} || die
+}
+
+src_compile() {
+	lua_foreach_impl lua_src_compile
+}
+
+lua_src_test() {
+	local mytests=(
+		"test.lua"
+		"test_compat.lua"
+		"test_pm.lua"
+	)
+
+	for mytest in ${mytests[@]}; do
+		LUA_CPATH="${S}/lutf8lib-${ELUA}.so" ${ELUA} ${mytest} || die
+	done
+}
+
+src_test() {
+	lua_foreach_impl lua_src_test
+}
+
+lua_src_install() {
+	exeinto "$(lua_get_cmod_dir)"
+	newexe "lutf8lib-${ELUA}.so" "lua-utf8.so"
+
+	insinto "$(lua_get_lmod_dir)"
+	doins parseucd.lua
+}
+
+src_install() {
+	lua_foreach_impl lua_src_install
+
+	einstalldocs
+}

diff --git a/profiles/package.mask b/profiles/package.mask
index a884e70e9e5..ccb058f6cd7 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -513,6 +513,7 @@ dev-lua/luacrypto
 >=dev-lua/ldoc-1.4.6-r100
 >=dev-lua/lpeg-1.0.2-r100
 >=dev-lua/lua-bit32-5.3.5-r100
+>=dev-lua/lua-utf8-0.1.3-r100
 >=dev-lua/lua-zlib-1.2-r100
 >=dev-lua/LuaBitOp-1.0.2-r100
 >=dev-lua/luadbi-0.7.2-r100


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2020-11-28 23:59 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-11-28 23:59 [gentoo-commits] repo/gentoo:master commit in: profiles/, dev-lua/lua-utf8/ Conrad Kostecki

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox